normalize {codelink} | R Documentation

## Normalization wrapper for Codelink objects.

### Description

Takes a Codelink object and applies normalization to intensity values.

### Usage

        normalize(object, method = "quantiles", log.it = TRUE, preserve = FALSE,
                    weights = NULL, verbose = FALSE)

### Arguments

`object` | an object of class "Codelink".
`method` | method to use in normalization.
`log.it` | logical; if data should be log2.
`preserve` | logical; if Ri slot should be preserved.
`weights` | weights vector for method CyclicLoess.
`verbose` | should informative output be printed.

### Details

Currently supported methods include "loess", "quantiles" and "median". Median normalization is analogous to the default method applied for the manufacturer in the Codelink software. Loess is a modified version of CyclicLoess implemented in the affy package, allowing missing values and weights. Quantile normalization uses the normalizeQuantiles() function in the limma package.

### Value

A Codelink object with normalized intensity values.

### Author(s)

Diego Diez

### Examples

    ## Not run:
            data(codelink.example)
            # Background correction.
            codelink.example <- bkgdCorrect(codelink.example,
            method = "half")
            # Normalization.
            codelink.example <- normalize(codelink.example,
            method = "quantile")
    ## End(Not run)

[Package codelink version 1.12.1 Index]